org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class AddPropertyStep<S extends Element>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,S>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectStep<S>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.AddPropertyStep<S>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<S>>, Step<S,S>, Configuring, Mutating<Event.ElementPropertyChangedEvent>, Parameterizing, Scoping, TraversalParent

      public class AddPropertyStep<S extends Element>
      extends SideEffectStep<S>
      implements Mutating<Event.ElementPropertyChangedEvent>, TraversalParent, Scoping

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.Scoping

      `Scoping.Variable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddPropertyStep(Traversal.Admin traversal, VertexProperty.Cardinality cardinality, Object keyObject, Object valueObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddPropertyStep<S>` | `clone()` Cloning is used to duplicate steps for the purpose of traversal optimization and OLTP replication.
    `void` | `configure(Object... keyValues)` Accept a configuration to the `Step`.
    `<S,E> List<Traversal.Admin<S,E>>` | `getLocalChildren()`
    `CallbackRegistry<Event.ElementPropertyChangedEvent>` | `getMutatingCallbackRegistry()` Gets the callback registry for events that the step raises.
    `Parameters` | `getParameters()` Gets the parameters on the step.
    `Set<TraverserRequirement>` | `getRequirements()` Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly.
    `Set<String>` | `getScopeKeys()` Get the labels that this scoping step will access during the traversal
    `int` | `hashCode()`
    `void` | `setTraversal(Traversal.Admin<?,?> parentTraversal)` Set the `Traversal` that this step is contained within.
    `protected void` | `sideEffect(Traverser.Admin<S> traverser)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectStep

      `processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hasNext, next, removeLabel, reset, setId, setNextStep, setPreviousStep`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.TraversalParent

      `addGlobalChild, addLocalChild, asStep, close, getGlobalChildren, getSelfAndChildRequirements, integrateChild, removeGlobalChild, removeLocalChild`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.Scoping

      `getNullableScopeValue, getScopeValue`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### AddPropertyStep

          public AddPropertyStep(Traversal.Admin traversal,
                                 VertexProperty.Cardinality cardinality,
                                 Object keyObject,
                                 Object valueObject)

  - ### Method Detail

    - #### getParameters

          public Parameters getParameters()

      Description copied from interface: `Parameterizing`
      Gets the parameters on the step.
      Specified by:
        `getParameters` in interface `Parameterizing`

    - #### getScopeKeys

          public Set<String> getScopeKeys()

      Description copied from interface: `Scoping`
      Get the labels that this scoping step will access during the traversal
      Specified by:
        `getScopeKeys` in interface `Scoping`
      Returns:
        the accessed labels of the scoping step

    - #### getLocalChildren

          public <S,E> List<Traversal.Admin<S,E>> getLocalChildren()

      Specified by:
        `getLocalChildren` in interface `TraversalParent`

    - #### configure

          public void configure(Object... keyValues)

      Description copied from interface: `Configuring`
      Accept a configuration to the `Step`. Note that this interface extends `Parameterizing` and so there is an expectation that the `Step` implementation will have a `Parameters` instance that will house any values passed to this method. Storing these configurations in `Parameters` is not a requirement however, IF the configuration is an expected option for the step and can be stored on a member field that can be accessed on the step by more direct means (i.e. like a getter method).
      Specified by:
        `configure` in interface `Configuring`

    - #### sideEffect

          protected void sideEffect(Traverser.Admin<S> traverser)

      Specified by:
        `sideEffect` in class `SideEffectStep<S extends Element>`

    - #### getRequirements

          public Set<TraverserRequirement> getRequirements()

      Description copied from interface: `Step`
      Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly. The provided default implements returns an empty set.
      Specified by:
        `getRequirements` in interface `Step<S extends Element,S extends Element>`
      Returns:
        the set of requirements

    - #### getMutatingCallbackRegistry

          public CallbackRegistry<Event.ElementPropertyChangedEvent> getMutatingCallbackRegistry()

      Description copied from interface: `Mutating`
      Gets the callback registry for events that the step raises.
      Specified by:
        `getMutatingCallbackRegistry` in interface `Mutating<Event.ElementPropertyChangedEvent>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractStep<S extends Element,S extends Element>`

    - #### setTraversal

          public void setTraversal(Traversal.Admin<?,?> parentTraversal)

      Description copied from interface: `Step`
      Set the `Traversal` that this step is contained within.
      Specified by:
        `setTraversal` in interface `Step<S extends Element,S extends Element>`
      Overrides:
        `setTraversal` in class `AbstractStep<S extends Element,S extends Element>`
      Parameters:
        `parentTraversal` - the new traversal for this step

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractStep<S extends Element,S extends Element>`

    - #### clone

          public AddPropertyStep<S> clone()

      Description copied from interface: `Step`
      Cloning is used to duplicate steps for the purpose of traversal optimization and OLTP replication. When cloning a step, it is important that the steps, the cloned step is equivalent to the state of the step when reset() is called. Moreover, the previous and next steps should be set to `EmptyStep`.
      Specified by:
        `clone` in interface `Step<S extends Element,S extends Element>`
      Overrides:
        `clone` in class `AbstractStep<S extends Element,S extends Element>`
      Returns:
        The cloned step

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.